package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicInvoiceState {
    public static final String TICKETOPENING = "开票中";
    public static final String INVOICED = "已开票";

    private static DicInvoiceState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicInvoiceState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(TICKETOPENING, TICKETOPENING);
        dicMap.put(INVOICED, INVOICED);
    }

    public static DicInvoiceState getInstacne(){
        if (instance == null)
        {
            instance = new DicInvoiceState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
